# IsingModels.jl Documentation

*A simple Julia package to simulate the Ising model in a two-dimensional rectangular grid.*

## Package Features

- Monte Carlo samplers for the 2D Ising model: Metropolis and Wolff.
- Compute and track energy, magnetization, and configurations during a simulation.
- Analytical magnetization and critical temperature found by Onsager, as well as other analytical quantities.
- A Metropolis+F(M) sampler, where we can add an arbitrary function of the magnetization to the energy.

## Outline

```@contents
```

## [Index](@id main-index)

```@index
Pages = ["lib/public.md"]
```